Router (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.Router interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net
Interface Router

All Superinterfaces:
  Function, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  VPN

    public interface Router

extends Function

A router is a connector between layer 3 networks (IPNetworks) This is a function, not a system. A system can contain router functions.

Author:
  johan
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Function
`IBM_COPYRIGHT`

Method Summary
`IpRoute` | `getDefaultRoute()`
`boolean` | `getForwarding()`
`IpInterface[]` | `getInterfaces()`
`IpRoute[]` | `getRoutingTable()`
`boolean` | `hasDefaultRoute()`
`boolean` | `hasForwarding()`
`boolean` | `hasInterfaces()`
`boolean` | `hasRoutingTable()`
`void` | `setDefaultRoute(IpRoute defaultRoute)`
`void` | `setForwarding(boolean forwarding)`
`void` | `setInterfaces(IpInterface[] interfaces)`
`void` | `setRoutingTable(IpRoute[] routes)`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getInterfaces

    IpInterface[] getInterfaces()
                                throws AttributeNotSetException

  Returns:
    List of L3 interfaces that this router is routing between
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Routes" reverse="false"

### setInterfaces

    void setInterfaces(IpInterface[] interfaces)

### hasInterfaces

    boolean hasInterfaces()

### getForwarding

    boolean getForwarding()
                          throws AttributeNotSetException

  Returns:
    determines if this router is forwarding packets or not
  Throws:
    `AttributeNotSetException`

### setForwarding

    void setForwarding(boolean forwarding)

### hasForwarding

    boolean hasForwarding()

### getDefaultRoute

    IpRoute getDefaultRoute()
                            throws AttributeNotSetException

  Returns:
    the default route
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Uses" reverse="false"

### setDefaultRoute

    void setDefaultRoute(IpRoute defaultRoute)

### hasDefaultRoute

    boolean hasDefaultRoute()

### getRoutingTable

    IpRoute[] getRoutingTable()
                              throws AttributeNotSetException

  Returns:
    the routing table
  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Manages" reverse="false"
  Containment Relationship:
    true

### setRoutingTable

    void setRoutingTable(IpRoute[] routes)

### hasRoutingTable

    boolean hasRoutingTable()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD